> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# 取消域名的 IP 分配

> 取消分配专用 IP 域名

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.zh-cn.json POST /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/domains/unassign
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/dedicated-ips/{dedicated_ip_id}/domains/unassign:
    post:
      tags:
        - public-accounts
        - public-dedicated-ips
      summary: 取消分配专用 IP 域名
      description: 从专用 IP 取消分配域名。
      operationId: >-
        unassign_public_dedicated_ip_domains_v1_public_accounts__account_id__dedicated_ips__dedicated_ip_id__domains_unassign_post
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: path
          name: dedicated_ip_id
          required: true
          schema:
            format: uuid
            title: Dedicated Ip Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDedicatedIpDomainRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BulkDedicatedIpDomainResponse'
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 验证错误
      security:
        - PublicBearerAuth: []
components:
  schemas:
    BulkDedicatedIpDomainRequest:
      description: 批量分配或取消分配请求。
      properties:
        domain_ids:
          description: 要分配或取消分配的域 UUID 或域名。
          items:
            anyOf:
              - format: uuid
                type: string
              - type: string
          minItems: 1
          title: 域名 Id 列表
          type: array
      title: BulkDedicatedIpDomainRequest
      type: object
    BulkDedicatedIpDomainResponse:
      properties:
        dedicated_ip_id:
          format: uuid
          title: 专用 IP Id
          type: string
        domain_ids:
          items:
            format: uuid
            type: string
          title: 域名 Id 列表
          type: array
      required:
        - dedicated_ip_id
        - domain_ids
      title: BulkDedicatedIpDomainResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: 详情
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: 位置
          type: array
        msg:
          title: 消息
          type: string
        type:
          title: 错误类型
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````